## r-cran-openmx 2.15.5

=== DESCRIPTION ===
Encoding: UTF-8
Package: OpenMx
Date: 2019-12-09
Title: Extended Structural Equation Modelling
Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
    person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
    "Maes", role="aut"), person(c("Michael", "J."), "Wilde", role="ctb"), person("Michael",
    "Spiegel", role="aut"), person(c("Timothy", "R."), "Brick", role="aut"),
    person("Ryne", "Estabrook", role="aut"), person(c("Timothy", "C."),
    "Bates", role="aut"), person("Paras", "Mehta", role="ctb"), person("Timo", c("von",
    "Oertzen"), role="ctb"), person(c("Ross", "J."), "Gore", role="aut"),
    person(c("Michael", "D."), "Hunter", role="aut"), person(c("Daniel", "C."), "Hackett", role="ctb"),
    person("Julian", "Karch", role="ctb"), person(c("Andreas", "M."), "Brandmaier", role="ctb"),
    person(c("Joshua", "N."), "Pritikin", email="jpritikin@pobox.com",
    role=c("aut", 'cre')), person("Mahsa", "Zahery", role="aut"),
    person(c("Robert", "M."), "Kirkpatrick", role="aut"),
    person(c("Yang"), "Wang", role="ctb"),
		person("Ben", "Goodrich", email="goodrich.ben@gmail.com", role="ctb"),
    person(c("Charles"), "Driver", email="driver@mpib-berlin.mpg.de", role="ctb"),
    person("Massachusetts Institute of Technology", role="cph"),
    person("S. G.", "Johnson", role="cph"),
    person("Association for Computing Machinery", role="cph"),
    person("Dieter", "Kraft", role="cph"),
    person("Stefan", "Wilhelm", role="cph"),
    person("Sarah", "Medland", role="cph"),
    person(c("Carl", 'F.'), "Falk", role="cph"),
    person("Matt", "Keller", role="cph"),
    person("Manjunath B G", role="cph"),
    person("The Regents of the University of California", role="cph"),
    person("Lester", "Ingber", role="cph"),
    person("Wong", "Shao Voon", role="cph"),
    person("Juan", "Palacios", role="cph"),
    person("Jiang", "Yang", role="cph"),
		person("Gael", "Guennebaud", role="cph"),
		person("Jitse", "Niesen", role="cph"))
URL: http://openmx.ssri.psu.edu, https://github.com/OpenMx/OpenMx
BugReports: http://openmx.ssri.psu.edu/forums
Description: Create structural equation models that can be manipulated programmatically.
    Models may be specified with matrices or paths (LISREL or RAM)
    Example models include confirmatory factor, multiple group, mixture
    distribution, categorical threshold, modern test theory, differential
    Fit functions include full information maximum likelihood, maximum likelihood, and weighted least squares.
    equations, state space, and many others.
	Support and advanced package binaries available at <http://openmx.ssri.psu.edu>.
    The software is described in Neale, Hunter, Pritikin, Zahery, Brick,
    Kirkpatrick, Estabrook, Bates, Maes, & Boker (2016) <doi:10.1007/s11336-014-9435-8>.
SystemRequirements: GNU make
ByteCompile: yes
Language: en-US
License: Apache License (== 2.0)
LinkingTo: Rcpp, RcppEigen, StanHeaders (>= 2.10.0.2), BH (>=
        1.69.0-1), rpf (>= 0.45)
Imports: digest, MASS, Matrix, methods, Rcpp, parallel
Depends: R (>= 3.5.0)
Suggests: mvtnorm, numDeriv, roxygen2 (>= 6.1), Rmpi, rpf (>= 0.45),
        snowfall, lme4, covr, testthat
LazyLoad: yes
LazyData: yes
Collate: '0ClassUnion.R' 'cache.R' 'MxBaseNamed.R' 'MxData.R'
        'MxDataWLS.R' 'DefinitionVars.R' 'MxReservedNames.R'
        'MxNamespace.R' 'MxSearchReplace.R' 'MxFlatSearchReplace.R'
        'MxUntitled.R' 'MxAlgebraFunctions.R' 'MxExponential.R'
        'MxMatrix.R' 'DiagMatrix.R' 'FullMatrix.R' 'IdenMatrix.R'
        'LowerMatrix.R' 'SdiagMatrix.R' 'StandMatrix.R' 'SymmMatrix.R'
        'UnitMatrix.R' 'ZeroMatrix.R' 'MxMatrixFunctions.R'
        'MxAlgebra.R' 'MxCycleDetection.R' 'MxDependencies.R'
        'MxAlgebraConvert.R' 'MxSquareBracket.R' 'MxEval.R'
        'MxRename.R' 'MxPath.R' 'MxObjectiveMetaData.R'
        'MxExpectation.R' 'MxExpectationNormal.R' 'MxExpectationRAM.R'
        'MxExpectationLISREL.R' 'MxFitFunction.R'
        'MxFitFunctionAlgebra.R' 'MxFitFunctionML.R'
        'MxFitFunctionMultigroup.R' 'MxFitFunctionRow.R'
        'MxFitFunctionWLS.R' 'MxRAMObjective.R' 'MxLISRELObjective.R'
        'MxFIMLObjective.R' 'MxMLObjective.R' 'MxRowObjective.R'
        'MxAlgebraObjective.R' 'MxBounds.R' 'MxConstraint.R'
        'MxInterval.R' 'MxTypes.R' 'MxCompute.R' 'MxModel.R'
        'MxRAMModel.R' 'MxLISRELModel.R' 'MxModelDisplay.R'
        'MxFlatModel.R' 'MxMultiModel.R' 'MxModelFunctions.R'
        'MxModelParameters.R' 'MxUnitTesting.R' 'MxApply.R' 'MxRun.R'
        'MxRunHelperFunctions.R' 'MxSummary.R' 'MxCompare.R'
        'MxSwift.R' 'MxOptions.R' 'MxThreshold.R' 'OriginalMx.R'
        'MxGraph.R' 'MxGraphviz.R' 'MxDeparse.R' 'MxCommunication.R'
        'MxRestore.R' 'MxVersion.R' 'MxPPML.R' 'MxRAMtoML.R'
        'MxErrorHandling.R' 'MxDetectCores.R' 'MxSaturatedModel.R'
        'omxBrownie.R' 'omxConstrainThresholds.R' 'omxGetNPSOL.R'
        'MxFitFunctionR.R' 'MxRObjective.R'
        'MxExpectationHiddenMarkov.R' 'MxExpectationMixture.R'
        'MxExpectationStateSpace.R' 'MxExpectationBA81.R'
        'MxFitFunctionGREML.R' 'MxExpectationGREML.R' 'MxMI.R'
        'MxFactorScores.R' 'MxRobustSE.R' 'MxAvailableOptimizers.R'
        'MxTryHard.R' 'MxSE.R' 'MxAutoStart.R' 'MxRetro.R' 'MxMMI.R'
        'omxReadGRMBin.R' 'zzz.R'
Biarch: true
Version: 2.15.5
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-12-09 12:50:10 UTC; joshua
Author: Steven M. Boker [aut],
  Michael C. Neale [aut],
  Hermine H. Maes [aut],
  Michael J. Wilde [ctb],
  Michael Spiegel [aut],
  Timothy R. Brick [aut],
  Ryne Estabrook [aut],
  Timothy C. Bates [aut],
  Paras Mehta [ctb],
  Timo von Oertzen [ctb],
  Ross J. Gore [aut],
  Michael D. Hunter [aut],
  Daniel C. Hackett [ctb],
  Julian Karch [ctb],
  Andreas M. Brandmaier [ctb],
  Joshua N. Pritikin [aut, cre],
  Mahsa Zahery [aut],
  Robert M. Kirkpatrick [aut],
  Yang Wang [ctb],
  Ben Goodrich [ctb],
  Charles Driver [ctb],
  Massachusetts Institute of Technology [cph],
  S. G. Johnson [cph],
  Association for Computing Machinery [cph],
  Dieter Kraft [cph],
  Stefan Wilhelm [cph],
  Sarah Medland [cph],
  Carl F. Falk [cph],
  Matt Keller [cph],
  Manjunath B G [cph],
  The Regents of the University of California [cph],
  Lester Ingber [cph],
  Wong Shao Voon [cph],
  Juan Palacios [cph],
  Jiang Yang [cph],
  Gael Guennebaud [cph],
  Jitse Niesen [cph]
Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
Repository: CRAN
Date/Publication: 2019-12-09 14:40:07 UTC

=== debian/changelog ===
r-cran-openmx (2.15.5-1) unstable; urgency=medium

  * New upstream version
  * Try to prevent dh-update-R from removal of python3 from Depends
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jan 2020 10:42:36 +0100

r-cran-openmx (2.15.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2019 16:52:22 +0100

r-cran-openmx (2.15.3-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 20 Nov 2019 09:33:51 +0100

r-cran-openmx (2.14.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Depends: python3
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 13:30:51 +0100

r-cran-openmx (2.13.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #940653)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Sep 2019 18:28:30 +0200

=== debian/control ===
Source: r-cran-openmx
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-mass,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-rcppeigen,
               r-cran-stanheaders,
               r-cran-bh,
               r-cran-rpf,
               libboost-system-dev,
               libsqlite3-dev,
               libzstd-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
Homepage: https://cran.r-project.org/package=OpenMx

Package: r-cran-openmx
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         python3
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extended structural equation modelling
 Create structural equation models that can be manipulated
 programmatically. Models may be specified with matrices or paths (LISREL
 or RAM) Example models include confirmatory factor, multiple group,
 mixture distribution, categorical threshold, modern test theory,
 differential Fit functions include full information maximum likelihood,
 maximum likelihood, and weighted least squares. equations, state space,
 and many others. Support and advanced package binaries available at
 <http://openmx.ssri.psu.edu>. The software is described in Neale,
 Hunter, Pritikin, Zahery, Brick, Kirkpatrick, Estabrook, Bates, Maes, &
 Boker (2016) <doi:10.1007/s11336-014-9435-8>.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian  \( -name "*.R" -o -name "*.txt" \) -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-numderiv
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/OpenMx_([-\d.]*)\.tar\.gz

## r-cran-openmx 2.18.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2019-12-09
+Date: 2020-08-24
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -50,7 +50,7 @@
 License: Apache License (== 2.0)
 LinkingTo: Rcpp, RcppEigen, StanHeaders (>= 2.10.0.2), BH (>=
         1.69.0-1), rpf (>= 0.45)
-Imports: digest, MASS, Matrix, methods, Rcpp, parallel
+Imports: digest, MASS, Matrix, methods, Rcpp, parallel, lifecycle
 Depends: R (>= 3.5.0)
 Suggests: mvtnorm, numDeriv, roxygen2 (>= 6.1), Rmpi, rpf (>= 0.45),
         snowfall, lme4, covr, testthat
@@ -89,12 +89,13 @@
         'MxFitFunctionGREML.R' 'MxExpectationGREML.R' 'MxMI.R'
         'MxFactorScores.R' 'MxRobustSE.R' 'MxAvailableOptimizers.R'
         'MxTryHard.R' 'MxSE.R' 'MxAutoStart.R' 'MxRetro.R' 'MxMMI.R'
-        'omxReadGRMBin.R' 'zzz.R'
+        'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
+RdMacros: lifecycle
 Biarch: true
-Version: 2.15.5
-RoxygenNote: 6.1.1
+Version: 2.18.1
+RoxygenNote: 7.1.0
 NeedsCompilation: yes
-Packaged: 2019-12-09 12:50:10 UTC; joshua
+Packaged: 2020-08-24 17:46:03 UTC; joshua
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -134,4 +135,4 @@
   Jitse Niesen [cph]
 Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
 Repository: CRAN
-Date/Publication: 2019-12-09 14:40:07 UTC
+Date/Publication: 2020-08-28 07:50:12 UTC

=== debian/changelog ===
r-cran-openmx (2.18.1-3) unstable; urgency=high

  * Exclude another test for i386 and skip test on armhf fully
    Closes: #971681

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2021 08:38:26 +0100

r-cran-openmx (2.18.1-2) unstable; urgency=medium

  * Exclude tests that are not working on all architectures
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2021 17:51:11 +0100

r-cran-openmx (2.18.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 12:56:12 +0200

r-cran-openmx (2.17.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Jul 2020 10:17:19 +0200

r-cran-openmx (2.17.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Apr 2020 14:18:08 +0200

r-cran-openmx (2.17.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 19:37:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
+# Testsuite: autopkgtest-pkg-r # We need exceptions specified in run-unit-test so do not run automatically
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
                r-cran-mass,
                r-cran-matrix,
                r-cran-rcpp,
+               r-cran-lifecycle,
                r-cran-rcppeigen,
                r-cran-stanheaders,
-               r-cran-bh,
+               r-cran-bh (>= 1.66.0),
                r-cran-rpf,
                libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
 Homepage: https://cran.r-project.org/package=OpenMx
+Rules-Requires-Root: no
 
 Package: r-cran-openmx
 Architecture: any

=== debian/rules ===


## r-cran-openmx 2.20.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2020-08-24
+Date: 2022-01-27
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -48,12 +48,15 @@
 ByteCompile: yes
 Language: en-US
 License: Apache License (== 2.0)
-LinkingTo: Rcpp, RcppEigen, StanHeaders (>= 2.10.0.2), BH (>=
-        1.69.0-1), rpf (>= 0.45)
-Imports: digest, MASS, Matrix, methods, Rcpp, parallel, lifecycle
+LinkingTo: Rcpp, RcppEigen, RcppParallel, StanHeaders (>= 2.10.0.2), BH
+        (>= 1.69.0-1), rpf (>= 0.45)
+Imports: digest, MASS, Matrix, methods, Rcpp, RcppParallel, parallel,
+        lifecycle
 Depends: R (>= 3.5.0)
-Suggests: mvtnorm, numDeriv, roxygen2 (>= 6.1), Rmpi, rpf (>= 0.45),
-        snowfall, lme4, covr, testthat
+Suggests: mvtnorm, numDeriv, roxygen2 (>= 6.1), rpf (>= 0.45),
+        snowfall, lme4, covr, testthat, umx, ifaTools, knitr, markdown,
+        rmarkdown, reshape2, ggplot2
+VignetteBuilder: knitr
 LazyLoad: yes
 LazyData: yes
 Collate: '0ClassUnion.R' 'cache.R' 'MxBaseNamed.R' 'MxData.R'
@@ -88,14 +91,14 @@
         'MxExpectationStateSpace.R' 'MxExpectationBA81.R'
         'MxFitFunctionGREML.R' 'MxExpectationGREML.R' 'MxMI.R'
         'MxFactorScores.R' 'MxRobustSE.R' 'MxAvailableOptimizers.R'
-        'MxTryHard.R' 'MxSE.R' 'MxAutoStart.R' 'MxRetro.R' 'MxMMI.R'
-        'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
+        'MxTryHard.R' 'MxSE.R' 'MxAutoStart.R' 'MxRetro.R'
+        'MxPenalty.R' 'MxMMI.R' 'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
 RdMacros: lifecycle
 Biarch: true
-Version: 2.18.1
-RoxygenNote: 7.1.0
+Version: 2.20.3
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-08-24 17:46:03 UTC; joshua
+Packaged: 2022-01-27 21:50:52 UTC; joshua
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -135,4 +138,4 @@
   Jitse Niesen [cph]
 Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
 Repository: CRAN
-Date/Publication: 2020-08-28 07:50:12 UTC
+Date/Publication: 2022-02-01 16:40:09 UTC

=== debian/changelog ===
r-cran-openmx (2.20.3+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild for libtbb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:33:22 +0100

r-cran-openmx (2.20.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 19:20:07 +0100

r-cran-openmx (2.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove documentation that includes compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 21:24:35 +0100

r-cran-openmx (2.19.8-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/t/run-unit-test: Exclude more tests on i386 and ppc64el

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 00:55:42 +0530

r-cran-openmx (2.19.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-bh.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
                r-cran-mass,
                r-cran-matrix,
                r-cran-rcpp,
+               r-cran-rcppparallel,
                r-cran-lifecycle,
                r-cran-rcppeigen,
                r-cran-stanheaders,
-               r-cran-bh (>= 1.66.0),
+               r-cran-bh (>= 1.69.0-1),
                r-cran-rpf,
                libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
 Homepage: https://cran.r-project.org/package=OpenMx

## r-cran-openmx 2.20.6+dfsg

=== debian/changelog ===
r-cran-openmx (2.20.6+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against r-cran-rcppparallel / onetbb

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 05 Sep 2022 14:40:36 +0000

r-cran-openmx (2.20.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 11:43:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # We need exceptions specified in run-unit-test so do not run automatically
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -31,7 +31,6 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          python3
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-openmx 2.20.7+dfsg

=== debian/changelog ===
r-cran-openmx (2.20.7+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.20.7+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Oct 2022 19:28:36 +0530

r-cran-openmx (2.20.6+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Re-build with rcppparallel
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 22:29:58 +0530

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
 Homepage: https://cran.r-project.org/package=OpenMx

## r-cran-openmx 2.21.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2022-01-27
+Date: 2023-01-19
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -50,8 +50,8 @@
 License: Apache License (== 2.0)
 LinkingTo: Rcpp, RcppEigen, RcppParallel, StanHeaders (>= 2.10.0.2), BH
         (>= 1.69.0-1), rpf (>= 0.45)
-Imports: digest, MASS, Matrix, methods, Rcpp, RcppParallel, parallel,
-        lifecycle
+Imports: digest, MASS, Matrix (>= 1.2-16), methods, Rcpp, RcppParallel,
+        parallel, lifecycle
 Depends: R (>= 3.5.0)
 Suggests: mvtnorm, numDeriv, roxygen2 (>= 6.1), rpf (>= 0.45),
         snowfall, lme4, covr, testthat, umx, ifaTools, knitr, markdown,
@@ -95,10 +95,10 @@
         'MxPenalty.R' 'MxMMI.R' 'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
 RdMacros: lifecycle
 Biarch: true
-Version: 2.20.3
-RoxygenNote: 7.1.1
+Version: 2.21.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-01-27 21:50:52 UTC; joshua
+Packaged: 2023-01-19 18:57:29 UTC; joshua
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -138,4 +138,4 @@
   Jitse Niesen [cph]
 Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
 Repository: CRAN
-Date/Publication: 2022-02-01 16:40:09 UTC
+Date/Publication: 2023-01-19 23:50:02 UTC

=== debian/changelog ===
r-cran-openmx (2.21.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
 Homepage: https://cran.r-project.org/package=OpenMx

## r-cran-openmx 2.21.8+dfsg

=== debian/changelog ===
r-cran-openmx (2.21.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Sync Test-Depends with Suggests
  * Versioned Test-Depends: r-cran-ggplot2 (>= 3.4.2+dfsg-1~) to deal with
    R graphics ABI change
  * Build-Depend from libboost-system1.81-dev to avoid conflict between
    r-cran-bh and libboost-system-dev (FIXME: This needs to be reverted
    once libboost 1.81 is default.)
    Closes: #1042178
  * Lintian-override for custom-library-search-path

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 09:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                r-cran-lifecycle,
                r-cran-rcppeigen,
                r-cran-stanheaders,
-               r-cran-bh (>= 1.69.0-1),
+               r-cran-bh,
                r-cran-rpf,
-               libboost-system-dev,
+               libboost-system1.81-dev,
                libsqlite3-dev,
                libzstd-dev
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mvtnorm,
         r-cran-numderiv,
         r-cran-roxygen2,
         r-cran-rpf,
         r-cran-snowfall,
         r-cran-lme4,
         r-cran-covr,
         r-cran-testthat,
#         r-cran-umx,
#         r-cran-ifatools,
         r-cran-knitr,
         r-cran-markdown,
         r-cran-rmarkdown,
         r-cran-reshape2,
         r-cran-ggplot2 (>= 3.4.2+dfsg-1~)
Restrictions: allow-stderr

## r-cran-openmx 2.21.11+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2023-01-19
+Date: 2023-11-27
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -44,12 +44,12 @@
 	Support and advanced package binaries available at <http://openmx.ssri.psu.edu>.
     The software is described in Neale, Hunter, Pritikin, Zahery, Brick,
     Kirkpatrick, Estabrook, Bates, Maes, & Boker (2016) <doi:10.1007/s11336-014-9435-8>.
-SystemRequirements: GNU make
+SystemRequirements: GNU make, C++17
 ByteCompile: yes
 Language: en-US
 License: Apache License (== 2.0)
-LinkingTo: Rcpp, RcppEigen, RcppParallel, StanHeaders (>= 2.10.0.2), BH
-        (>= 1.69.0-1), rpf (>= 0.45)
+LinkingTo: Rcpp, RcppEigen (>= 0.3.3.9.4), RcppParallel, StanHeaders
+        (>= 2.10.0.2), BH (>= 1.69.0-1), rpf (>= 0.45), Matrix
 Imports: digest, MASS, Matrix (>= 1.2-16), methods, Rcpp, RcppParallel,
         parallel, lifecycle
 Depends: R (>= 3.5.0)
@@ -95,10 +95,10 @@
         'MxPenalty.R' 'MxMMI.R' 'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
 RdMacros: lifecycle
 Biarch: true
-Version: 2.21.1
+Version: 2.21.11
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-19 18:57:29 UTC; joshua
+Packaged: 2023-11-27 21:51:30 UTC; joshua
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -138,4 +138,4 @@
   Jitse Niesen [cph]
 Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
 Repository: CRAN
-Date/Publication: 2023-01-19 23:50:02 UTC
+Date/Publication: 2023-11-28 05:20:25 UTC

=== debian/changelog ===
r-cran-openmx (2.21.11+dfsg-2) unstable; urgency=medium

  * Switch to default version of boost
    Closes: #1060792

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 08:06:08 +0100

r-cran-openmx (2.21.11+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:03:40 +0100

r-cran-openmx (2.21.10+dfsg-1) unstable; urgency=medium

  * Add dependency from r-cran-matrix version it was built against
    (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1055922#68)
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Nov 2023 18:32:16 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                r-cran-rcpp,
                r-cran-rcppparallel,
                r-cran-lifecycle,
-               r-cran-rcppeigen,
+               r-cran-rcppeigen (>= 0.3.3.9.4),
                r-cran-stanheaders,
                r-cran-bh,
                r-cran-rpf,
-               libboost-system1.81-dev,
+               libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,10 @@
 override_dh_fixperms:
 	dh_fixperms
 	find debian  \( -name "*.R" -o -name "*.txt" \) -exec chmod -x \{\} \;
+
+override_dh_gencontrol:
+	rmbversion=`dpkg -l r-cran-matrix | grep 'ii' | sed 's/^.*r-cran-matrix[[:space:]]\+\([0-9.-]\+\)[[:space:]]\+.*/\1/'`; \
+	sed -i "s/r-cran-matrix ([^)]\+)/r-cran-matrix (>= $${rmbversion})/" debian/*substvars
+	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9]\+[[:space:]]\+.*/\1/'`; \
+	sed -i "s/\(r-api-[0-9.]\+\),/& r-base-core (>= $${rversion})/" debian/*substvars
+	dh_gencontrol

## r-cran-openmx 2.21.12+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2023-11-27
+Date: 2024-08-15
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -95,10 +95,10 @@
         'MxPenalty.R' 'MxMMI.R' 'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
 RdMacros: lifecycle
 Biarch: true
-Version: 2.21.11
-RoxygenNote: 7.2.3
+Version: 2.21.12
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-11-27 21:51:30 UTC; joshua
+Packaged: 2024-08-17 03:57:13 UTC; joshua
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -138,4 +138,4 @@
   Jitse Niesen [cph]
 Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
 Repository: CRAN
-Date/Publication: 2023-11-28 05:20:25 UTC
+Date/Publication: 2024-08-17 07:40:02 UTC

=== debian/changelog ===
r-cran-openmx (2.21.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 10:05:00 +0900

r-cran-openmx (2.21.11+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against latest Matrix (closes: #1070239)

 -- Charles Plessy <plessy@debian.org>  Tue, 07 May 2024 09:43:19 +0900

r-cran-openmx (2.21.11+dfsg-3) unstable; urgency=medium

  * Fix regexp to detect r-base-core version in case of binary only NMUs
    Closes: #1069388
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2024 09:55:55 +0200

## r-cran-openmx 2.21.13+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Encoding: UTF-8
 Package: OpenMx
-Date: 2024-08-15
+Date: 2024-10-18
 Title: Extended Structural Equation Modelling
 Authors@R: c(person(c("Steven", "M."), "Boker", role="aut"),
     person(c("Michael", "C."), "Neale", role="aut"), person(c("Hermine", "H."),
@@ -11,9 +11,9 @@
     "Oertzen"), role="ctb"), person(c("Ross", "J."), "Gore", role="aut"),
     person(c("Michael", "D."), "Hunter", role="aut"), person(c("Daniel", "C."), "Hackett", role="ctb"),
     person("Julian", "Karch", role="ctb"), person(c("Andreas", "M."), "Brandmaier", role="ctb"),
-    person(c("Joshua", "N."), "Pritikin", email="jpritikin@pobox.com",
-    role=c("aut", 'cre')), person("Mahsa", "Zahery", role="aut"),
-    person(c("Robert", "M."), "Kirkpatrick", role="aut"),
+    person(c("Joshua", "N."), "Pritikin", role="aut"), 
+    person("Mahsa", "Zahery", role="aut"),
+    person(c("Robert", "M."), "Kirkpatrick", email="robert.kirkpatrick@vcuhealth.org", role=c("aut","cre")),
     person(c("Yang"), "Wang", role="ctb"),
 		person("Ben", "Goodrich", email="goodrich.ben@gmail.com", role="ctb"),
     person(c("Charles"), "Driver", email="driver@mpib-berlin.mpg.de", role="ctb"),
@@ -95,10 +95,10 @@
         'MxPenalty.R' 'MxMMI.R' 'omxReadGRMBin.R' 'MxPredict.R' 'zzz.R'
 RdMacros: lifecycle
 Biarch: true
-Version: 2.21.12
+Version: 2.21.13
 RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2024-08-17 03:57:13 UTC; joshua
+Packaged: 2024-10-18 18:30:30 UTC; rmk
 Author: Steven M. Boker [aut],
   Michael C. Neale [aut],
   Hermine H. Maes [aut],
@@ -114,9 +114,9 @@
   Daniel C. Hackett [ctb],
   Julian Karch [ctb],
   Andreas M. Brandmaier [ctb],
-  Joshua N. Pritikin [aut, cre],
+  Joshua N. Pritikin [aut],
   Mahsa Zahery [aut],
-  Robert M. Kirkpatrick [aut],
+  Robert M. Kirkpatrick [aut, cre],
   Yang Wang [ctb],
   Ben Goodrich [ctb],
   Charles Driver [ctb],
@@ -136,6 +136,6 @@
   Jiang Yang [cph],
   Gael Guennebaud [cph],
   Jitse Niesen [cph]
-Maintainer: Joshua N. Pritikin <jpritikin@pobox.com>
+Maintainer: Robert M. Kirkpatrick <robert.kirkpatrick@vcuhealth.org>
 Repository: CRAN
-Date/Publication: 2024-08-17 07:40:02 UTC
+Date/Publication: 2024-10-19 08:40:03 UTC

=== debian/changelog ===
r-cran-openmx (2.21.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 16:36:07 +0900

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libboost-system-dev,
                libsqlite3-dev,
                libzstd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
 Homepage: https://cran.r-project.org/package=OpenMx

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian  \( -name "*.R" -o -name "*.txt" \) -exec chmod -x \{\} \;

override_dh_gencontrol:
	rmbversion=`dpkg -l r-cran-matrix | grep 'ii' | sed 's/^.*r-cran-matrix[[:space:]]\+\([0-9.-]\+\)[[:space:]]\+.*/\1/'`; \
	sed -i "s/r-cran-matrix ([^)]\+)/r-cran-matrix (>= $${rmbversion})/" debian/*substvars
	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9+b]\+[[:space:]]\+.*/\1/'`; \
	sed -i "s/\(r-api-[0-9.]\+\),/& r-base-core (>= $${rversion})/" debian/*substvars
	dh_gencontrol

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mvtnorm,
        r-cran-numderiv,
        r-cran-roxygen2 (>= 6.1),
        r-cran-snowfall,
        r-cran-lme4,
        r-cran-covr,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-markdown,
        r-cran-rmarkdown,
        r-cran-reshape2,
        r-cran-ggplot2
Restrictions: allow-stderr

## r-cran-openmx 2.22.10%2Bdfsg

=== debian/control ===
Source: r-cran-openmx
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-digest,
 r-cran-mass,
 r-cran-matrix,
 r-cran-rcpp,
 r-cran-rcppparallel,
 r-cran-lifecycle,
 r-cran-rcppeigen (>= 0.3.3.9.4),
 r-cran-stanheaders,
 r-cran-bh,
 r-cran-rpf,
 libsqlite3-dev,
 libzstd-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openmx
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openmx.git
Homepage: https://cran.r-project.org/package=OpenMx
Rules-Requires-Root: no

Package: r-cran-openmx
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R extended structural equation modelling
 Create structural equation models that can be manipulated
 programmatically. Models may be specified with matrices or paths (LISREL
 or RAM) Example models include confirmatory factor, multiple group,
 mixture distribution, categorical threshold, modern test theory,
 differential Fit functions include full information maximum likelihood,
 maximum likelihood, and weighted least squares. equations, state space,
 and many others. Support and advanced package binaries available at
 <http://openmx.ssri.psu.edu>. The software is described in Neale,
 Hunter, Pritikin, Zahery, Brick, Kirkpatrick, Estabrook, Bates, Maes, &
 Boker (2016) <doi:10.1007/s11336-014-9435-8>.

## r-cran-openmx 2.22.10+dfsg

=== debian/changelog ===
r-cran-openmx (2.22.10+dfsg-3) unstable; urgency=medium

  * d/watch: version=5
  * Drop libboost-system-dev from Build-Depends
    Closes: #1127266

 -- Andreas Tille <tille@debian.org>  Sat, 21 Feb 2026 14:39:41 +0100

r-cran-openmx (2.22.10+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make r-cran-matrix version detection robust to binNMUs.
    Closes: #1127533
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 11:02:17 +0900

r-cran-openmx (2.22.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 16:44:28 +0900

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

RMBVERSION := $(shell dpkg-query -W -f='$${Version}\n' r-cran-matrix)
RVERSION   := $(shell dpkg-query -W -f='$${source:Upstream-Version}\n' r-base-core)

override_dh_fixperms:
	dh_fixperms
	find debian  \( -name "*.R" -o -name "*.txt" \) -exec chmod -x \{\} \;

override_dh_gencontrol:
	sed -i "s/r-cran-matrix[^,]*/r-cran-matrix (>= $(RMBVERSION))/"   debian/*substvars
	sed -i "s/\(r-api-[0-9.]\+\),/\1, r-base-core (>= $(RVERSION)),/" debian/*substvars
	dh_gencontrol

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib
Matching-Pattern: OpenMx_@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: auto
Repack-Suffix: +dfsg
